关闭

myeclipse 8.5 struts2 搭建成功后,相关问题。

144人阅读 评论(0) 收藏 举报

为什么struts2 搭建成功后,还会继续报错。我当时是用myeclipse 8.5 ,直接用struts2的。弄了好久,后来我发现,好像不兼容。出现错误,真是头痛。

public class JSONAction  extends ActionSupport implements ServletRequestAware,ServletResponseAware{

}

报错:要把 JSONAction 变成抽象类,或者继承ServletRequestAware,ServletResponseAware的接口。

跟别人的一模一样,但是为什么就会出错呢。

好了,进入主题。

要用低版本的struts2 这里我用2.1.6版本,后来就没报错了。问题解决。




0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:6574次
    • 积分:209
    • 等级:
    • 排名:千里之外
    • 原创:15篇
    • 转载:1篇
    • 译文:0篇
    • 评论:2条
    最新评论